doctype html
html
  head
    title ComparteTuComida
    style.
      #map {
        height: 100%;
      }
      /* Optional: Makes the sample page fill the window. */
      html, body {
        height: 90%;
        margin: 0;
        padding: 0;
      }

  body
    block content
    footer
    block scripts
        script(src="/js/jquery-3.2.1.min.js")
        script(async ,defer ,src="https://maps.googleapis.com/maps/api/js?callback=initMap")
        script.
            
            function initMap() {
                var map = new google.maps.Map(document.getElementById('map'), {
                  zoom: 15,
                  center: {lat: -16.426522, lng: -71.524099},
                  
                });
                var myLatlng = new google.maps.LatLng(-16.3895277,-71.5522778);
 

                var myLatlng2 = new google.maps.LatLng(-16.4291908,-71.5219084);
                var marker = new google.maps.Marker({
                    position: myLatlng,
                    title:"Hello World!"
                });
                var marker2 = new google.maps.Marker({
                    position: myLatlng2,
                    title:"Hello World!"
                });



                // To add the marker to the map, call setMap();
                marker.setMap(map);
                marker2.setMap(map);

                
                $.ajax({
                  url: "/api/v1/trips?start=-16.3895277,-71.5522778&&end=-16.4291908,-71.5219084",
                  success: function(data){                   
                    for(var i = 0 ; i < data.length; i++){
                      //console.log()
                      var coordinates = [];
                      var datos = data[i];

                      for(var j = 0; j < data[i].coordinates.length; j++){
                        var coordinate = {
                          lat: data[i].coordinates[j][0],
                          lng: data[i].coordinates[j][1]
                        }   
                        coordinates.push(coordinate)   
                      }      
    
                      var flightPath = new google.maps.Polyline({
                        path: coordinates,
                        geodesic: true,
                        strokeColor: getRandomColor(),
                        strokeOpacity: 1.0,
                        strokeWeight: 5
                      });

                      flightPath.setMap(map);
                     

                    };
                    function getRandomColor() {
                          var letters = '0123456789ABCDEF';
                          var color = '#';
                          for (var i = 0; i < 6; i++ ) {
                              color += letters[Math.floor(Math.random() * 16)];
                          }
                          return color;
                      }    
                    
                  }
                });
                //console.log(routes);
                //alert(routes[0].description)
                

                
                
            }